%define         real_name noip-duc-linux
%define         min_ver 1
%define         max_ver 2

Name:           noip
Summary:        NoIP client
Version:        2.1.9
Release:        %mkrel 6
Source0:        https://www.noip.com/client/linux/%{real_name}.tar.gz
Source1:        noip2.service
Patch0:         noip-2.1.9-makefile.patch
Patch1:         noip-2.1.9-confdir.patch
URL:            https://www.noip.com
Group:          Networking/Other
License:        GPLv2 

BuildRequires:	binutils-devel

%description
This Dynamic DNS Update Client continually checks for 
IP address changes in the background and 
automatically updates the DNS at No-IP whenever it changes.

%prep 
%setup -q -n %{name}-%{version}-%{min_ver}
%autopatch -p0

%build
%make_build PREFIX=/usr CONFDIR=/etc

%install
%makeinstall PREFIX=%{buildroot} CONFDIR=%{buildroot}%{_sysconfdir} BINDIR=%{buildroot}%{_bindir}

install -d -D -m755 %{buildroot}%{_unitdir}
install -m644 %{S:1} %{buildroot}%{_unitdir}/%{name}%{max_ver}.service

%files 
%doc README.FIRST* COPYING
%{_bindir}/%name%{max_ver}
%{_unitdir}/%{name}%{max_ver}.service



%changelog
* Fri Mar 18 2022 umeabot <umeabot> 2.1.9-6.mga9
+ Revision: 1797761
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 2.1.9-5.mga8
+ Revision: 1543177
- Mageia 8 Mass Rebuild

* Thu Jan 16 2020 dtux <dtux> 2.1.9-4.mga8
+ Revision: 1478196
- added patch to correct an error on config path
- modified Makefile to take in count config path
- corrected config file path in noip2.service
- corrected spec file to follow these changes

* Sun Sep 23 2018 umeabot <umeabot> 2.1.9-3.mga7
+ Revision: 1299781
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.1.9-2.mga6
+ Revision: 951340
- Mageia 6 Mass Rebuild

* Sun Dec 21 2014 matteo <matteo> 2.1.9-1.mga5
+ Revision: 804686
- added unit file for systemd (noip2.service)
- set proper confdir
- imported package noip

